<!-- <div class="authentication-wrapper authentication-2 ui-bg-cover ui-bg-overlay-container px-4" style="background-image: url('assets/img/loginbackground.jpg') !important;">
  <div class="ui-bg-overlay bg-dark opacity-25"></div>
  <div class="authentication-inner py-5">
    <div class="card card-white" *ngIf="!isforgorPass">
      <div class="p-4 p-sm-5">
        <div class="d-flex justify-content-center align-items-center pb-2 mb-4">
          <div class="ui-w-100">
            <div class="w-100 position-relative" style="padding-bottom: 0%">
              <img src="assets/img/logo-lg.png?v1.1" class="login login-logo-1" />
              </div>
          </div>
        </div>
        <form (keyup.enter)="loginClicked()">
          <div class="form-group">
            <label class="form-label">Username</label>
            <input [(ngModel)]="credentials.uid" name="email" type="text" class="form-control" tabindex="2">
          </div>
          <div class="form-group">
            <label class="form-label d-flex justify-content-between align-items-end">
              <div>Password</div>
              <a href="javascript:void(0)" class="d-block small" (click)="forgotPassword()">Forgot password?</a>
            </label>
            <input [(ngModel)]="credentials.password" name="password" type="password" class="form-control" tabindex="2">
          </div>
          <div class="d-flex justify-content-between align-items-center m-0">
            <label class="custom-control custom-checkbox m-0">
              <input type="checkbox" class="custom-control-input" name="rememberMe" [(ngModel)]="rememberMe">
            </label>
            <button type="button" class="btn btn-primary" (click)="loginClicked()" tabindex="2" [ladda]="isLogginIN" data-style="zoom-in" type="button">Sign In</button>
          </div>
        </form>
      </div>
    </div>
    <form class="card card-white" *ngIf="isforgorPass" (keyup.enter)='sendEmail()'>
      <div class="p-4 p-sm-5">
        <div class="d-flex justify-content-center align-items-center pb-2 mb-4">
          <div class="ui-w-100">
            <div class="w-100 position-relative" style="padding-bottom: 0%">
              <img src="assets/img/logo-lg.png?v1.1" class="login login-logo-1" />
            </div>
          </div>
        </div>
        <h5 class="text-center text-primary font-weight-normal mb-4">Reset Your Password</h5>
        <div class="form-group">
          <input [(ngModel)]="email.uid" name="email" type="email" class="form-control" placeholder="Enter your Email address">
        </div>
        <div class="form-inline">
             <button type="button" class="btn btn-default" (click)="showLogin()" style="width:48%">Cancel</button>
             <button [ladda]="isMailSending" data-style="zoom-in" type="button" class="btn btn-outline-primary ml-auto"  style="width:48%" (click)="sendEmail()"
          [disabled]="!email.uid">Send Email</button>
        </div>
      </div>
    </form>
    <ngb-alert [type]="alertType" (click)="isAlert=false" *ngIf="isAlert">{{alertMessage}}</ngb-alert>
  </div>
  <div *ngIf="is_mobile_device" style="position: absolute;right:20px;bottom:20px;z-index:1000;font-size:25px;"> <a href="javascript:void(0)" style="color:#fff" (click)="configClicked()"><i class="ion ion-md-settings"></i></a></div>
</div> -->
<div class="authentication-wrapper authentication-3" *ngIf="!deviceService.isMobile()">
  <div class="authentication-inner">

    <!-- Side container -->
    <!-- Do not display the container on extra small, small and medium screens -->
    <!--<div class="d-flex col-lg-8 align-items-end ui-bg-cover ui-bg-overlay-container p-5 login-polygon-logo"
         style="background-image: url('assets/imgs/hx_bg.svg');">-->
      <!-- <div class="ui-bg-overlay bg-dark opacity-50" ></div> -->

      <div class="d-flex col-lg-8 align-items-end ui-bg-cover ui-bg-overlay-container p-5 login-polygon-logo"
           [style.backgroundImage]="'url(' + login_image + ')'" style="background-size: cover;">

      <!-- Text -->
      <div class="w-100 text-white px-5 text-center" style="bottom:20px; right: 4vw;">
        <!-- <div ><span class="triangle-down"></span></div> -->
        <!-- <div class="text-large font-weight-light">
          Hello, I'm
        </div> -->
        <!-- <h1 class="display-2 font-weight-bolder mb-4 banner-web-typo">Hypersonix</h1>
        <div class="font-weight-light banner-web-typo-sm">
         <h5> AI-assistant for a cognitive enterprise</h5>
        </div> -->
        <img src="assets/img/bg/login_logo.svg" style="width: 340px;" />
      </div>
      <!-- /.Text -->
    </div>
    <!-- / Side container -->

    <!-- Form container -->
    <div class="d-flex col-lg-4 align-items-center bg-white p-5">
      <!-- Inner container -->
      <!-- Have to add `.d-flex` to control width via `.col-*` classes -->
      <div class="d-flex col-sm-12 col-md-12 col-lg-12 px-0 px-xl-4 mx-auto" *ngIf="!isforgorPass">
        <div class="w-100">

          <!-- Logo -->
          <div class="d-flex justify-content-center align-items-center">
            <div >
              <!-- <div class="position-relative">
                <img src="assets/img/logo-lg.png?v1.1" class="login login-logo-1" />
              </div> -->
            </div>
          </div>
          <!-- / Logo -->

          <h4 class="font-weight-normal mb-5">Welcome back, Please login to your account</h4>

          <!-- Form -->
          <form (keyup.enter)="loginClicked()" class="mb-5 loginInputs">
            <div class="form-group cust-group">
              <label class="form-label">Username</label>
              <input placeholder="user@email.com" [(ngModel)]="credentials.uid" name="email" type="text" class="form-control login-input-field"
                tabindex="2">
                <span class="user_icon_block"><i class="fa fa-lg fa-user"></i></span>
            </div>
            <div class="form-group cust-group">
              <label class="form-label d-flex justify-content-between align-items-end">
                <div>Password</div>

              </label>
              <show-hide-password size="sm" btnStyle="transprant" [btnOutline]="false">
              <input placeholder="***********" [(ngModel)]="credentials.password" name="password" type="password"
                class="form-control login-input-field" tabindex="2">
              </show-hide-password>
            </div>
            <div *ngIf="!isLogginIN" class="mt-2 mb-4 d-block ">
            <label class="custom-control custom-checkbox text-right">
              <!-- <input type="checkbox" class="custom-control-input" checked>
              <span class="custom-control-label">Remember Me</span> -->
            <a href="javascript:void(0)" (click)="forgotPassword()"  style="font-size: 12px;">Forgot password?</a>
            </label>
              </div>
            <div class="d-flex justify-content-between align-items-center m-0">
              <!-- <label class="custom-control custom-checkbox m-0">
                    <input type="checkbox" class="custom-control-input" name="rememberMe" [(ngModel)]="rememberMe">
                  </label> -->
              <button type="button" class="btn btn-primarylogin-input-field WSF w-100 py-3" (click)="loginClicked()" tabindex="2"
              [ladda]="isLogginIN" data-style="zoom-in" type="button">Sign In</button>

            </div>
            <!-- <label class="custom-control custom-checkbox">
              <input type="checkbox" class="custom-control-input" name="rememberMe" [(ngModel)]="rememberMe" checked>
              Remember Me
            </label> -->
            
            
          </form>
          <div class="mt-3 position-relative">
            <span class="download_app_container">Download Our Mobile App</span>
              <div class="p-3 pt-4 border_container">
              <div class="text-center" class="links first">
                <a class="cursor" target="_blank" href="https://apps.apple.com/us/app/hypersonix/id1453404096"><img src="assets/imgs/link_icons/download_app_store.svg" class="img-fluid"></a>
              </div>
              <div class="text-center" class="links">
                <a class="cursor" target="_blank" href="https://play.google.com/store/apps/details?id=com.hx.hypersonix3&hl=en"><img src="assets/imgs/link_icons/download_play_store.svg"  class="img-fluid"></a>
              </div>
            </div>
          </div>
          <div style="height:50px">
              <div class="tiny-text text-center text-danger" (click)="isAlert=false" *ngIf="isAlert">
                {{alertMessage}}
              </div>
            </div>
          <!-- / Form -->
          

          <!-- <ngb-alert [type]="alertType" (click)="isAlert=false" *ngIf="isAlert">{{alertMessage}}</ngb-alert> -->
        </div>
      </div>
      <div class="d-flex col-sm-12 col-md-12 col-lg-12 px-0 px-xl-4 mx-auto" *ngIf="isforgorPass">
        <div class="w-100">
          <form (keyup.enter)='sendEmail()'>
            <div class="loginInputs">
              <!-- <div class="d-flex justify-content-center align-items-center pb-2 mb-4">
                <div class="ui-w-100">
                  <div class="w-100 position-relative" style="padding-bottom: 0%">
                    <img src="assets/img/logo-lg.svg?v1.1" class="login login-logo-1" />
                  </div>
                </div>
              </div> -->
              <h4 class="font-weight-normal mb-5">Reset Your Password</h4>

              <div class="form-group cust-group">
                <label class="form-label">Enter your Email address</label>
                <input [(ngModel)]="email.uid" name="email" type="email" class="form-control login-input-field" placeholder="user@email.com">
              </div>
              <div class="form-inline">
                <button type="button" class="btn btn-default login-input-field WSF" (click)="showLogin()"
                  style="width:48%; margin-left: 0; border:1px solid rgba(24, 28, 33, 0.1) !important;">Cancel</button>
                <button [ladda]="isMailSending" data-style="zoom-in" type="button"
                  class="btn btn-primarylogin-input-field WSF ml-auto borderless login-input-field f-16" style="width:48%; color: #fff;" (click)="sendEmail()"
                  [disabled]="!email.uid">Send Email</button>
              </div>
            </div>
          </form>
          <div style="height:50px">
              <div class="tiny-text text-center text-danger" (click)="isAlert=false" *ngIf="isAlert">
                {{alertMessage}}
              </div>
            </div>
        </div>
      </div>

    </div>
    <!-- / Form container -->

  </div>
  <!-- <div *ngIf="is_mobile_device" style="position: absolute;right:20px;bottom:20px;z-index:1000;font-size:25px;"> <a href="javascript:void(0)" (click)="configClicked()"><i class="ion ion-md-settings"></i></a></div> -->

</div>


<!-- *************************************************MOBILE APP LOGIN SCREEN************************************************* -->

<div class="row m-0" *ngIf="deviceService.isMobile()">
  <div class="col-lg-8 align-items-center ui-bg-cover ui-bg-overlay-container header-top" 
      style="background-image: url('assets/img/bg/new_hypersonix_login_bg.png');">
        <!-- <div class="ui-bg-overlay bg-dark opacity-50"></div> -->
  
        <div class="justify-content-center align-items-center">
             
            <div class="position-relative text-center">
              <img src="assets/img/logo-lg.svg?v1.1" class="login login-logo-1" />
            </div>
          
        </div>
        <div class="w-100 text-white text-center">
          <h1 class="font-weight-bolder mb-4 banner-typo">Hypersonix</h1>

          <div class="font-weight-light banner-typo-sm">
            <h4> AI-assistant for a congnitive enterprise</h4>
          </div>

        </div>
       
      </div>
     
      <div class="col-lg-4 align-items-center bg-white p-5 footer-space">
       
        <div *ngIf="!isforgorPass">
          <div class="w-100">
  
            
            <form (keyup.enter)="loginClicked()">
              <div class="form-group">
                <label class="form-label">Username</label>
                <input placeholder="Username" [(ngModel)]="credentials.uid" name="email" type="text" class="form-control login-input-field"
                  tabindex="2">
              </div>

              <div class="form-group">
                <label class="form-label d-flex justify-content-between align-items-end">
                  <div>Password</div>
                </label>
                <input placeholder="Password" [(ngModel)]="credentials.password" name="password" type="password"
                  class="form-control login-input-field" tabindex="2">
              </div>

              <div class="d-flex justify-content-between align-items-center m-0">
            
                <button type="button" class="btn btn-round btn-primary w-100" (click)="loginClicked()" tabindex="2"
                  [ladda]="isLogginIN" data-style="zoom-in" type="button" style="background: #44B2CB !important; color: #fff !important;">Log In</button>
  
              </div>
              
              <div class="mt-2 d-block"><a href="javascript:void(0)" (click)="forgotPassword()">Forgot password?</a></div>
              
            </form>

                <div class="tiny-text text-center text-danger" (click)="isAlert=false" *ngIf="isAlert">
                  {{alertMessage}}
                </div>
              
            
          </div>
        </div>
  
        <div *ngIf="isforgorPass">
          <div class="w-100">
            <form (keyup.enter)='sendEmail()'>
              <div>
                <!-- <div class="justify-content-center align-items-center pb-2 mb-4">
                  <div class="ui-w-100">
                    <div class="w-100 position-relative" style="padding-bottom: 0%">
                      <img src="assets/img/logo-lg.png?v1.1" class="login login-logo-1" />
                    </div>
                  </div>
                </div> -->
                <h5 class="text-center text-primary font-weight-normal mb-4" style="color: #282f72 !important;">Reset Your Password</h5>
  
                <div class="form-group">
                  <input [(ngModel)]="email.uid" name="email" type="email" class="form-control login-input-field"
                    placeholder="Enter your Email address">
                </div>
                <div class="form-inline">
                  <button type="button" class="btn btn-default" (click)="showLogin()"
                    style="width:48%">Cancel</button>
                  <button [ladda]="isMailSending" data-style="zoom-in" type="button"
                    class="btn btn-primary ml-auto borderless login-input-field" style="width:48%" (click)="sendEmail()"
                    [disabled]="!email.uid">Send Email</button>
                </div>
              </div>
            </form>
            <div>
                <div class="tiny-text text-center text-danger" (click)="isAlert=false" *ngIf="isAlert">
                  {{alertMessage}}
                </div>
              </div>
          </div>
        </div>

        
  
      </div>
  
</div>

<!-- <div *ngIf="is_mobile_device" style="position: absolute;right:15px;bottom:15px;z-index:1000;font-size:25px;"> <a href="javascript:void(0)" (click)="configClicked()">
  <i class="ion ion-md-settings"></i></a>
</div> -->

<!-- *************************************************MOBILE APP LOGIN SCREEN************************************************* -->
